### Method

# Cogl Framebuffer resolve_samples

#### Declaration [src]

    void
    cogl_framebuffer_resolve_samples (
      CoglFramebuffer* framebuffer
    )

#### Description [src]

When point sample rendering (also known as multisample rendering) has been enabled via `cogl_framebuffer_set_samples_per_pixel()` then you can optionally call this function (or cogl_framebuffer_resolve_samples_region()) to explicitly resolve the point samples into values for the final color buffer.

Some GPUs will implicitly resolve the point samples during rendering and so this function is effectively a nop, but with other architectures it is desirable to defer the resolve step until the end of the frame.

Since Cogl will automatically ensure samples are resolved if the target color buffer is used as a source this API only needs to be used if explicit control is desired - perhaps because you want to ensure that the resolve is completed in advance to avoid later having to wait for the resolve to complete.

If you are performing incremental updates to a framebuffer you should consider using `cogl_framebuffer_resolve_samples_region()` instead to avoid resolving redundant pixels.